Name:		chrony
Version:	1.29.1
%define subrel	1
Release:	%mkrel 1
Summary:	An NTP client/server
Group:		System/Servers
License:	GPLv2
URL:		http://chrony.tuxfamily.org
Source0:	http://download.tuxfamily.org/chrony/chrony-%{version}.tar.gz
Source1:	chrony.conf
Source2:	chrony.keys
Source3:	chronyd.service
Source4:	chrony.helper
Source5:	chrony.logrotate
Source7:	chrony.nm-dispatcher
Source8:	chrony.dhclient
Source9:	chrony-wait.service
Patch0:		chrony-1.29.1-CVE-2015-1853.patch
Patch1:		chrony-1.29.1-CVE-2015-1821.patch
Patch2:		chrony-1.29.1-CVE-2015-1822.patch
BuildRequires:	libcap-devel
BuildRequires:	libedit-devel
BuildRequires:	nss-devel
BuildRequires:	bison
BuildRequires:	texinfo
Requires(pre):	rpm-helper >= 0.24.8-1
Requires(post):	rpm-helper >= 0.24.8-1
Requires(postun): rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
A client/server for the Network Time Protocol, this program keeps your
computer's clock accurate. It was specially designed to support
systems with intermittent internet connections, but it also works well
in permanently connected environments. It can use also hardware reference
clocks, system real-time clock or manual input as time references.

%prep
%setup -q
%apply_patches

%build
%serverbuild
export CFLAGS="$CFLAGS -pie -fpie"
export LDFLAGS="$LDFLAGS -Wl,-z,relro,-z,now"

%configure2_5x \
        --docdir=%{_docdir} \
        --with-sendmail=%{_sbindir}/sendmail

%make getdate all docs

%install
%makeinstall_std install-docs DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_docdir}

mkdir -p %{buildroot}%{_sysconfdir}/{sysconfig,logrotate.d}
mkdir -p %{buildroot}%{_localstatedir}/{lib,log}/chrony
mkdir -p %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d
mkdir -p %{buildroot}%{_sysconfdir}/dhcp/dhclient.d
mkdir -p %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_prefix}/lib/systemd/ntp-units.d

install -m 644 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/chrony.conf
install -m 640 -p %{SOURCE2} %{buildroot}%{_sysconfdir}/chrony.keys
install -m 644 -p %{SOURCE3} %{buildroot}%{_unitdir}/chronyd.service
install -m 755 -p %{SOURCE4} %{buildroot}%{_libexecdir}/chrony-helper
install -m 644 -p %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/chrony
install -m 755 -p %{SOURCE7} %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony
install -m 755 -p %{SOURCE8} %{buildroot}%{_sysconfdir}/dhcp/dhclient.d/chrony.sh
install -m 644 -p %{SOURCE9} %{buildroot}%{_unitdir}/chrony-wait.service

touch %{buildroot}%{_localstatedir}/lib/chrony/{drift,rtc}

echo 'chronyd.service' > %{buildroot}%{_prefix}/lib/systemd/ntp-units.d/50-chronyd.list

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post
%_post_service chronyd

%preun
%_preun_service chronyd

%postun
%_postun_userdel %{name}

%files
%doc COPYING NEWS README chrony.txt faq.txt examples/*
%config(noreplace) %{_sysconfdir}/chrony.conf
%config(noreplace) %verify(not md5 size mtime) %attr(640,root,chrony) %{_sysconfdir}/chrony.keys
%config(noreplace) %{_sysconfdir}/logrotate.d/chrony
%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony
%{_sysconfdir}/dhcp/dhclient.d/chrony.sh
%{_bindir}/chronyc
%{_sbindir}/chronyd
%{_libexecdir}/chrony-helper
%{_infodir}/chrony.info*
%{_prefix}/lib/systemd/ntp-units.d/*.list
%{_unitdir}/chrony*.service
%{_mandir}/man[158]/%{name}*.[158]*
%dir %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony
%ghost %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony/drift
%ghost %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony/rtc
%dir %attr(-,chrony,chrony) %{_localstatedir}/log/chrony


%changelog
* Mon Apr 20 2015 luigiwalser <luigiwalser> 1.29.1-1.1.mga4
+ Revision: 820501
- add patches from debian to fix CVE-2015-1853, CVE-2015-1821, and CVE-2015-1822
- 1.29.1 (fixes CVE-2014-0021)
- add ordering dependency to not start chronyd before ntpd stopped (fedora)
- let systemd remove pid file (rhbz#974305)

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.29-1.mga4
+ Revision: 472352
- add /lib/systemd/system/ntp-units.d/50-chrony.list
- adapt to mageia
- sync some bits from fedora
- imported package chrony

